config/routes.rb
Rails.application.routes.draw do
	get 'welcome/home', to: 'welcome#home'
	get 'welcome/about',to: 'welcome#about'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
 

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/controllers/about_controller.rb
class AboutController < ApplicationController
	def about

	end


end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
end

app/controllers/welcome_controller.rb
class WelcomeController < ApplicationController
	def home

	end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Blog</title>

  </head>

  <body>
    <center style="background-color:cyan;">
        <h2>------------------------</h2>
    	<h1>Hello guys</h1>
    	<h2>This is a part of application.html.erb file</h2>
        <h2>------------------------</h2>
    </center>
    <article>
    <%= yield %></article>
  </body>
</html>

app/views/welcome/about.html.erb
<center style="background-color:red;"><h1>-------------------------------------</h1>
<h1>This is the about part of the website</h1>
<h1>This is the part of the about page</h1>
<a href="/welcome/home/">Move to the home page</a>
<h1>--------------------------------------</h1>
<center>
<%= link_to 'Home',welcome_home_path %>

app/views/welcome/home.html.erb
<center style="background-color:green;">
	<h1>---------------------</h1>
	<h1>This is my homepage</h1>
	<h1>this the content of home.html.erb file in blog\view\welcome </h1>
	<h1>---------------------</h1>
	<a href="/welcome/about">move to the about section</a>
</center>
<%= link_to 'About',welcome_about_path %>